/*Copyright (c) 2008, mArKhAo
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.
* Neither the name of the author nor the names of its contributors may be
  used to endorse or promote products derived from this software without 
  specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.

marksurel@yahoo.com
*/




# include <ez8.h>
# include <sio.h>

void delay(void)
{
int i,j;
	for (i=0; i<=0xFF; i++)
		for (j=0; j<=0xFF; j++);
}

void init_pushbutton(void)
{
PADD |= 0x0F;
PAAF & ~0x0F;
}

void init_LED(void)
{
PCDD &= ~0x3F;
PCAF &= ~0x3F;
PCOC &= ~0x3F;
PCHDE |= 0x3F;
PCOUT &= ~0x3F;
PBDD &= ~0x07;
PBAF &= ~0x07;
PBOC &= ~0x07;
PBHDE |= 0x07;
PBOUT &= ~0x07;
}


void main()
{
unsigned char mark, hao, hao1, hao2, hao3, hao4, hao5, hao6, hao7, hao8, hao9,hao10, hao11, hao12;
init_pushbutton();
init_LED();
init_uart(_UART0, _DEFFREQ, 9600);
select_port(_UART0);
	{
		
		printf("ATDL\r\n");
		mark = getch();
		if (mark == '+')
		mark = getch();
		if (mark == 'C')
		mark = getch();
		if (mark == 'O')
		mark = getch();
		if (mark == 'N')
		mark = getch();
		if (mark == 'N')
		mark = getch();
		if (mark == 'E')
		mark = getch();
		if (mark == 'C')
		mark = getch();
		if (mark == 'T')
		mark = getch();
		if (mark == ':')
		mark = getch();
		if (mark == '0')
		mark = getch();
		if (mark == '0')
		mark = getch();
		if (mark == '1')
		mark = getch();
		if (mark == '5')
 	   	mark = getch();
		if (mark == '7')
		mark = getch();
		if (mark == '1')
		mark = getch();
		if (mark == '0')
		mark = getch();
		if (mark == '6')
		mark = getch();
		if (mark == '9')
		mark = getch();
		if (mark == '5')
		mark = getch();
		if (mark == 'E')
		mark = getch();
		if (mark == '6')
		mark = getch();
		if (mark == '+')
		
		delay();
		delay();
		delay();
		delay();
		delay();
		delay();
		delay();

		{
		delay();
		delay();
		delay();
		delay();
		delay();
		delay();
		PBOUT |= 0x04;
		delay();
		delay();
		}

		}

		while(1)
	{


				

				{
						//load1 switch1
			
						hao = PAIN & 0x01;
							if (hao == 0x00)
								{
								PCOUT ^= 0x01;
								}
						hao1 = PCOUT & 0x01;
								if (hao1 == 0x01)
									printf("AT+IOSET=0,1\n");
									delay();
									delay();
							   	if (hao1 == 0x00)
									printf("AT+IOSET=0,0\n");
									delay();
									delay();
	  		   	}
			
						{
						//load2 switch2
			
						hao2 = PAIN & 0x02;
							if (hao2 == 0x00)
								{
								PCOUT ^= 0x20;
								}
						hao3 = PCOUT & 0x20;
								if (hao3 == 0x20)
									printf("AT+IOSET=1,1\n");
									delay();
									delay();
							   	if (hao3 == 0x00)
									printf("AT+IOSET=1,0\n");
									delay();
									delay();
	  		   	}	

			

				{
						//load3 switch3
			
						hao4 = PAIN & 0x04;
							if (hao4 == 0x00)
								{
								PBOUT ^= 0x01;
								}
						hao5 = PBOUT & 0x01;
								if (hao5 == 0x01)
									printf("AT+IOSET=2,1\n");
									delay();
									delay();
							   	if (hao5 == 0x00)
									printf("AT+IOSET=2,0\n");
									delay();
									delay();
	  		   	}



				{
						//load4 switch4
			
						hao6 = PAIN & 0x08;
							if (hao6 == 0x00)
								{
								PBOUT ^= 0x02;
								}
						hao7 = PBOUT & 0x02;
								if (hao7 == 0x02)
									printf("AT+IOSET=3,1\n");
									delay();
									delay();
							   	if (hao7 == 0x00)
									printf("AT+IOSET=3,0\n");
									delay();
									delay();
	  		   	}




		}	
	}
